=== debian/changelog ===
gstep-core (0.5.5.990820-1) unstable; urgency=low

  * New snapshot (dawn_6 branch).
  * debian/gstep-base.init: Change init script message (fixes #40339).

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sat, 21 Aug 1999 20:41:37 +0200

gstep-core (0.5.5.990625-1) unstable; urgency=low

  * New snapshot.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Fri, 25 Jun 1999 22:24:56 +0200

gstep-core (0.5.5.990508-1) unstable; urgency=low

  * New snapshot. Built with xgps as backend.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sun,  9 May 1999 15:18:28 +0200

gstep-core (0.5.5.990310-1) unstable; urgency=low

  * GNUstep 0.5.5 + minor updates from the CVS archive.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Thu, 11 Mar 1999 22:47:17 +0100

gstep-core (0.5.5-1) unstable; urgency=low

  * gstep-0.6 prerelease2 ("dawn").
  * gstep-extensions, gstep-db and gstep-guile are moved out of the core package.
  * Moved to debhelper-1.2.x.
  * First try for powerpc and alpha architectures.
  * New package gstep-base-dbg (link with -lgnustep-base_d).

 -- Matthias Klose <doko@cs.tu-berlin.de>  Wed, 24 Feb 1999 18:35:13 +0100

gstep-core (0.5.0.981229-1) frozen unstable; urgency=low

  * Fixed linking of guile dependent binaries (introduced with guile 1.3-11).
  * Fixed x permissions of debian installation scripts.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 29 Dec 1998 20:12:17 +0100

gstep-core (0.5.0.981222-1) frozen unstable; urgency=low

  * Moved symlink patches upstream.
  * Built with debhelper 1.1.24 and provide the needed debhelper-1.2.18 files.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 22 Dec 1998 21:41:54 +0200

gstep-core (0.5.0.981218-1) frozen unstable; urgency=low

  * New maintainer.
  * Previous builds included GNUSTEP_SYSTEM_ROOT, if GNUstep packages
    were installed.
  * Fixed build error on the alpha architecture (forwarding still doesn't
    work).
  * Install compiled guile modules in /usr/lib/guile1.3; don't know, if
    this is correct, but better than /usr/share/guile.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Sat, 19 Dec 1998 01:53:27 +0200

gstep-core (0.5.0.981215-0.1) frozen unstable; urgency=low

  * Finally recompiled with correct libc.
  * Finished db and guile packages (db already was in 0.5.0.980820-0.1).

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon, 14 Dec 1998 16:15:27 +0200

gstep-core (0.5.0.981207-0.1) frozen unstable; urgency=low

  * Recompiled with correct libc.
  * Removed dependencies on dpsclient.
  * Fixed dependencies of gstep-*-dev packages.
  * debian/rules: Removed explicit ix86 dependencies (again!).
  * Added debian/patches directory for Debian specific patches.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Mon,  7 Dec 1998 14:38:47 +0200

gstep-core (0.5.0.981106cvs-1) frozen unstable; urgency=low

  * New upstream CVS snapshot.o
    With the new anon CVS server, we can now track the GNUstep
    development much faster.
  * Don't build gstep-xdps until there's a free DPS system in Debian.
  * Instead, we have the X/RAW backend. With X/RAW, gstep doesn't any
    longer depend on non-free components and can go into main.
  * gstep-gui now has a working NSText class.
  * debian/rules: Rewritten again.

 -- Gregor Hoffleit <flight@debian.org>  Sat,  7 Nov 1998 12:08:45 +0100

gstep-core (0.5.0.980820-0.1) unstable; urgency=low

  * New upstream snapshot.
  * Built with X/RAW as backend; still depends on dgs.
  * New postinst/postrm scripts.
  * debian/rules: Rewritten.
  * debian/control.in: Tightened dependencies.
  * Keep NEXTSTEP files.

 -- Matthias Klose <doko@cs.tu-berlin.de>  Tue, 25 Aug 1998 13:48:48 +0200

gstep-core (0.5.0.980806-1) unstable; urgency=low

  * New upstream snapshot.
  * GNUstep is now built from a single source package, gstep-core.

 -- Gregor Hoffleit <flight@debian.org>  Fri,  7 Aug 1998 13:33:43 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "flight@debian.org"
End:
