=== debian/control ===
Source: gstep-core
Section: devel
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Standards-Version: 2.5.0.0

Package: gstep-make
Architecture: any
Depends: ${shlibs:Depends}
Description: The GNUstep makefile package
 [This is a developer snapshot. Do not use it for production.]
 .
 Install this package if you want to use or develop GNUstep programs.
 .
 The makefile package is a simplistic, powerful and extensible way to
 write makefiles for a GNUstep-based project.  It allows the user to
 write a GNUstep-based project without having to deal with the complex
 issues associated with the configuration and installation of the core
 GNUstep libraries.  It also allows the user to easily create
 cross-compiled binaries.

Package: gstep-base
Section: libs
Architecture: any
Depends: gstep-make (= ${Source-Version}), ${shlibs:Depends}
Replaces: gstep-base0
Description: The GNUstep Base Library
 [This is a developer snapshot. Do not use it for production.]
 .
 The GNUstep Base Library is a library of general-purpose, non-graphical
 Objective C objects. It provides functionality that aims to implement
 the non-graphical portion of the OpenStep standard.

Package: gstep-base-dev
Architecture: any
Depends: gstep-base (=${Source-Version}), gobjc (>= 2.91.60)
Description: Header files and static libraries for the GNUstep Base
 This package contains the header files and static libraries for the
 GNUstep Base Library.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gstep-base-dbg
Architecture: any
Depends: gstep-base-dev (=${Source-Version}), gobjc (>= 2.91.60)
Description: Debugging versions for the GNUstep Base Library
 This package contains the shared library of the
 GNUstep Base Library compiled with debugging symbols.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gstep-base-examples
Architecture: all
Depends: gstep-base-dev (=${Source-Version})
Description: Examples using the GNUstep Base Library
 This is the source for a few example (non-GUI) applications
 using the GNUstep Base Library.

Package: gstep-gui
Section: libs
Architecture: any
Depends: gstep-base (=${Source-Version}), ${shlibs:Depends}
Suggests: gstep-xgps (=${Source-Version})
Description: The GNUstep GUI Library
 [This is a developer snapshot. Do not use it for production.]
 .
 This package is a library of graphical user interface classes written
 completely in the Objective-C language; the classes are based upon the
 OpenStep specification as release by NeXT Software, Inc.  The library
 does not completely conform to the specification and has been enhanced
 in a number of ways to take advantage of the GNU system.

Package: gstep-gui-dev
Architecture: any
Depends: gstep-gui (=${Source-Version}), gstep-base-dev (=${Source-Version}), libtiff3g-dev
Suggests: gstep-xgps-dev
Description: The GNUstep GUI Library
 This package contains the header files and static libraries for the
 GNUstep GUI Library.
 .
 Install this package if you wish to develop your own programs using
 GNUstep GUI.

Package: gstep-gui-dbg
Architecture: any
Depends: gstep-gui-dev (=${Source-Version}), gobjc (>= 2.91.60)
Suggests: gstep-xgps-dbg (=${Source-Version})
Description: Debugging versions for the GNUstep GUI Library
 This package contains the shared library of the
 GNUstep GUI Library compiled with debugging symbols.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.

Package: gstep-xgps
Section: libs
Architecture: any
Depends: gstep-gui (=${Source-Version}), ${shlibs:Depends}
Description: The GNUstep GUI X/GPS Backend
 [This is a developer snapshot. Do not use it for production.]
 .
 This package is a back-end component for the GNUstep GUI Library, using
 native X support and eliminates the need for DPS/DGS. It works via a DPS
 emulation engine to use Xlib calls to emulate the DPS functions required
 by the front-end system.

Package: gstep-xgps-dev
Architecture: any
Depends: gstep-xgps (=${Source-Version}), gstep-gui-dev (=${Source-Version}), xlib6g-dev
Description: Development files for the GNUstep GUI X/GPS backend
 [This is a developer snapshot. Do not use it for production.]
 .
 This package contains the header files and static libraries for the
 GNUstep GUI X/GPS Backend.
 .
 Install this package if you wish to develop your own X programs using
 the X/GPS backend of GNUstep.

Package: gstep-xgps-dbg
Architecture: any
Depends: gstep-xgps-dev (=${Source-Version}), gobjc (>= 2.91.60)
Description: Debugging versions for the GNUstep GUI X/GPS Library
 This package contains the shared library of the
 GNUstep GUI X/GPS Library compiled with debugging symbols.
 .
 Install this package if you wish to develop your own programs using
 the GNUstep Base Library.
