=== debian/rules ===
#! /usr/bin/make -f
# -*- mode: makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
DH_VERSION = 1.2.37

# REMEMBER: arch-indep packaes are: gstep-base-examples

PWD	:= $(shell pwd)
ARCH	= $(shell dpkg --print-gnu-build-architecture)
CC	= /usr/lib/egcs-ss/bin/gcc
CC	= gcc
v_src	:= $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')

# build debug packages?
debug	= yes
# the default backend
backend	= xgps

GS			= usr/lib/GNUstep
GNUSTEP_SYSTEM_ROOT	= /$(GS)
GNUSTEP_BUILD_ROOT	= $(PWD)
LIBRARY_COMBO	= gnu-gnu-gnu-$(backend)
GS_COMBO	= $(LIBRARY_COMBO)
GS_HOST		:= $(shell ./make/config.guess)
GS_CPU		:= $(shell ./make/clean_cpu.sh `./make/cpu.sh $(GS_HOST)`)
GS_OS		:= $(shell ./make/clean_os.sh `./make/os.sh $(GS_HOST)`)
GS_VENDOR	:= $(shell ./make/clean_vendor.sh `./make/vendor.sh $(GS_HOST)`)
lib_dir		= $(GS_CPU)/$(GS_OS)
combo_dir	= $(GS_CPU)/$(GS_OS)/$(GS_COMBO)
export GNUSTEP_SYSTEM_ROOT
export GNUSTEP_BUILD_ROOT

v_base	:= $(shell . base/Version; echo $$VERSION)
v_gui	:= $(shell . gui/Version;  echo $$VERSION)
#v_xraw	:= $(shell . xraw/Version; echo $$VERSION)
v_xdps	:= $(shell . xdps/Version; echo $$VERSION)
v_xgps	:= $(shell . xgps/Version; echo $$VERSION)

# the default version value ...
#v_default := $(shell sed -n -e 's/^VERSION *= *\(.*\)$$/\1/p' make/common.make)
#v_default := 0.5.0
#v_default := 1.0.0
v_model = $(v_gui)
ifeq ($(backend),xraw)
  v_back	= $(v_xraw)
endif
ifeq ($(backend),xgps)
  v_back	= $(v_xgps)
endif

sov_base	:= $(shell echo $(v_base)  | awk -F. '{print $$1}')
sov_gui		:= $(shell echo $(v_gui)   | awk -F. '{print $$1}')
sov_model	:= $(shell echo $(v_model) | awk -F. '{print $$1}')
sov_back	:= $(shell echo $(v_back)  | awk -F. '{print $$1}')

p_make		= gstep-make
p_base		= gstep-base
p_base_dev	= $(p_base)-dev
p_base_dbg	= $(p_base)-dbg
p_base_exam	= $(p_base)-examples
p_gui		= gstep-gui
p_gui_dev	= $(p_gui)-dev
p_gui_dbg	= $(p_gui)-dbg
p_xraw		= gstep-xraw
p_xraw_dev	= $(p_xraw)-dev
p_xraw_dbg	= $(p_xraw)-dbg
p_xraw_exam	= $(p_xraw)-examples
p_xdps		= gstep-xdps
p_xdps_dev	= $(p_xdps)-dev
p_xdps_exam	= $(p_xdps)-examples
p_xgps		= gstep-xgps
p_xgps_dev	= $(p_xgps)-dev
p_xgps_dbg	= $(p_xgps)-dbg

d		= debian/tmp
d_make		= $(d)
d_base		= debian/$(p_base)
d_base_dev	= debian/$(p_base_dev)
d_base_dbg	= debian/$(p_base_dbg)
d_base_exam	= debian/$(p_base_exam)
d_gui		= debian/$(p_gui)
d_gui_dev	= debian/$(p_gui_dev)
d_gui_dbg	= debian/$(p_gui_dbg)
d_xraw		= debian/$(p_xraw)
d_xraw_dev	= debian/$(p_xraw_dev)
d_xraw_dbg	= debian/$(p_xraw_dbg)
d_xraw_exam	= debian/$(p_xraw_exam)
d_xdps		= debian/$(p_xdps)
d_xdps_dev	= debian/$(p_xdps_dev)
d_xdps_exam	= debian/$(p_xdps_exam)
d_xgps		= debian/$(p_xgps)
d_xgps_dev	= debian/$(p_xgps_dev)
d_xgps_dbg	= debian/$(p_xgps_dbg)
ifeq ($(backend),xraw)
  p_back	= $(p_xraw)
  p_back_dev	= $(p_xraw_dev)
  p_back_dbg	= $(p_xraw_dbg)
  d_back	= $(d_xraw)
  d_back_dev	= $(d_xraw_dev)
  d_back_dbg	= $(d_xraw_dbg)
endif
ifeq ($(backend),xgps)
  p_back	= $(p_xgps)
  p_back_dev	= $(p_xgps_dev)
  p_back_dbg	= $(p_xgps_dbg)
  d_back	= $(d_xgps)
  d_back_dev	= $(d_xgps_dev)
  d_back_dbg	= $(d_xgps_dbg)
endif

MAKEDFLAGS = \
  'GNUSTEP_SYSTEM_ROOT=$(GNUSTEP_SYSTEM_ROOT)' \
  'GNUSTEP_BUILD_ROOT=$(GNUSTEP_BUILD_ROOT)' \
  'GNUSTEP_MAKEFILES=$(PWD)/Makefiles' \
  verbose=no

ENVFLAGS = \
  GNUSTEP_SYSTEM_ROOT=$(GNUSTEP_SYSTEM_ROOT) \
  GNUSTEP_BUILD_ROOT=$(GNUSTEP_BUILD_ROOT) \
  GNUSTEP_MAKEFILES=$(PWD)/Makefiles

default: build

ctrl_flags = -DVOBJC=2.91.60
ifeq ($(debug),yes)
  ctrl_flags += -DDEBUG
endif
ifeq ($(backend),xraw)
  ctrl_flags += -DBACK_XRAW
endif
ifeq ($(backend),xgps)
  ctrl_flags += -DBACK_XGPS
endif
debian/control: debian/control.in debian/rules
	cpp -A- -P $(ctrl_flags) debian/control.in \
	  | awk '/^ *$$/ && x !~ /^ / {next} /NEWLINE/ {print ""; next} {print; x=$$0}' \
	  | sed -e '/^[^ ]/s/  */ /g' -e 's/  *\([,)]\)/\1/g' -e 's/ *$$//' \
	  > debian/control

config: config.status
config.status:
	dh_testdir
	autoconf
	rm -f config.cache
	CC=$(CC) \
	  ./configure --prefix=$(GNUSTEP_SYSTEM_ROOT) \
	    --with-library-combo=$(LIBRARY_COMBO) \
	    --with-jpeg-library=/usr/lib --with-jpeg-include=/usr/include \
	    --with-tiff-library=/usr/lib --with-tiff-include=/usr/include
#	    --with-dps-library=/usr/lib --with-dps-include=/usr/include \


GNUmakefile GNUmakefile.local: GNUmakefile.in GNUmakefile.local.in \
    config.status
	./config.status

build: debian/control \
    patched-stamp build-stamp build-static-stamp build-debug-stamp warnings

build-stamp: config.status GNUmakefile GNUmakefile.local
	dh_testdir
	($(MAKE) $(MAKEDFLAGS); echo $$? >.s) \
	    2>&1 | tee prot-core.shared; exit `cat .s`
	touch build-stamp

build-debug-stamp: config.status GNUmakefile GNUmakefile.local
ifeq ($(debug),yes)
	$(MAKE) -C base/Source debug=yes $(MAKEDFLAGS)
	$(MAKE) -C gui/Source debug=yes  $(MAKEDFLAGS)
	$(MAKE) -C gui/Model debug=yes   $(MAKEDFLAGS)
	$(MAKE) -C $(backend)/Source debug=yes $(MAKEDFLAGS)
endif
	touch build-debug-stamp

build-static-stamp: config.status GNUmakefile GNUmakefile.local
	for subproj in base/Source gui/Source gui/Model $(backend)/Source; \
	do \
	  $(MAKE) -C $$subproj shared=no $(MAKEDFLAGS) || exit $$?; \
	done
#	$(MAKE) shared=no $(MAKEDFLAGS)
	touch build-static-stamp

warnings: prot-core.shared
	chmod +x debian/warn_summary
	cat prot-core.shared > prot.shared
	for i in base gui $(backend); do \
	  echo -e "\n*************** $$i ***************"; \
	  debian/warn_summary -$$i prot.shared; \
	done > $@
	rm -f prot.shared

clean: debian/control
	dh_testdir
	dh_testroot
	rm -f build-*stamp install-stamp first-move-stamp
	rm -f warnings prot*.{shared,static}

	: # removing all build directories ...
	-find $(sub_projects) -type d \
	  \( -name 'shared*_obj' -o -name 'static*_obj' -o -name '*.app' \) \
	  | xargs rm -rf
	rm -f `find -name 'lib*.so*' -type l` || true
	: # removing local installation directories
	rm -rf Apps Headers Libraries Library Makefiles Tools share
	rm -f GNUmakefile make/GNUmakefile
# this is terribly slow ...
#	-$(MAKE) distclean $(MAKEDFLAGS)
	-find \( -name config.cache -o -name config.log -o -name config.mak \
	    -o -name config.status -o -name config.make \
	    -o -name GNUmakefile.local \
	  \) | xargs rm -f
	-find \( -name mframe -prune ! -name mframe \) \
	    -o \( -name $(GS_CPU) -type d \) | xargs rm -rf
	: # manually cleaning `make'
	rm -f make/{config.h,openapp,debugapp,GNUstep.sh,GNUstep.csh,which_lib}
	: # manually cleaning `base'
	rm -rf base/Source/{srcdir-include,gnustep}
	rm -f base/Source/{o_*_{bas,cbs}.m,dynamic-load.h} \
	  base/Source/{base,gnustep/base,Foundation} \
	  base/Source/{NSNumber,NSValue}{[0-9],[0-9][0-9]}.m \
	  base/Source/include/{preface.h,o_*_{bas,cbs}.h,mframe.h} \
	  base/Source/mframe/config.{cache,log,status} \
	  base/Documentation/{version.tmpl.texi,STATUS} \
	  base/Documentation/gnustep-base.{aux,cp,cps,dvi,fn,info,ky,log,pg,ps} \
	  base/Documentation/gnustep-base.{toc,tp,vr,vrs} \
	  base/Documentation/{ANNOUNCE,README,CODING-STANDARDS,NEWS,INSTALL,TODO}
	for i in base/Documentation/*.tmpl.texi; do \
	  rm -f `basename $$i .tmpl.texi`.texi; \
	done
	: # manually cleaning `gui'
	rm -f gui/Headers/gnustep/gui/config.h gui/Headers/{AppKit,DPSClient}
	: # manually cleaning backend
	rm -f $(backend)/config.h
	: # cleaning debian files
	rm -rf debian/gstep-make
	rm -f debian/{services.add,shlibs.local,*.shlibs}
	-for i in debian/*.in; do \
	  case "$$i" in debian/control.in) continue; esac; \
	  rm -f "`echo $$i | sed 's/\.in$$//'`"; \
	done

	$(MAKE) -f debian/rules reverse-patches
	dh_clean

dirs_make	= \
	usr/doc/$(p_make) \
	$(GS)/Makefiles \
	$(GS)/Tools/$(lib_dir) \
	$(GS)/Tools/$(combo_dir) \
	$(GS)/share \
	$(GS)/Apps \
	$(GS)/Libraries/$(combo_dir) \
	$(GS)/Headers/$(lib_dir) \
	$(GS)/Library/{info,PostScript,man}

dirs_base	= \
	etc \
	usr/doc/$(p_base) \
	usr/doc/GNUstep \
	$(GS)/Headers/$(lib_dir) \
	$(GS)/Libraries/$(combo_dir) \
